<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.finance.mapper.OrderMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="orderResultMap" type="org.springblade.modules.finance.entity.Order">
        <id column="id" property="id"/>
        <result column="user_id" property="userId"/>
        <result column="user_name" property="userName"/>
        <result column="out_trade_no" property="outTradeNo"/>
        <result column="tel_phone" property="telPhone"/>
        <result column="pay_flag" property="payFlag"/>
        <result column="pay_fee" property="payFee"/>
        <result column="total_fee" property="totalFee"/>
        <result column="pay_time" property="payTime"/>
        <result column="send_time" property="sendTime"/>
        <result column="record_time" property="recordTime"/>
        <result column="remark" property="remark"/>
        <result column="wl_name" property="wlName"/>
        <result column="wl_num" property="wlNum"/>
        <result column="wl_code" property="wlCode"/>
        <result column="user_address" property="userAddress"/>
        <result column="wl_price" property="wlPrice"/>
        <result column="order_type" property="orderType"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="distribute_mode" property="distributeMode"/>
        <result column="delivery_staff" property="deliveryStaff"/>
        <result column="pay_type" property="payType"/>
        <result column="receiving_name" property="receivingName"/>
        <result column="is_refund" property="isRefund"/>
        <result column="order_state" property="orderState"/>
        <result column="update_time" property="updateTime"/>
        <result column="create_time" property="createTime"/>
    </resultMap>


    <select id="selectOrderPage" resultMap="orderResultMap">
        select * from t_order where is_deleted = 0
    </select>

</mapper>
